Subject: Re: bug#79180: 31.0.50; Customize-browse emits treesit warnings

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Aug 2025 10:05:38 +0300

> From: Juri Linkov <[email-masked]>
> Cc: Sean Devlin <[email-masked]>,  [email-masked]
> Date: Fri, 08 Aug 2025 09:29:27 +0300
> 
> > This is a known issue, see bug#64487.  It's a side effect of the
> > decision to warn users when they activate tree-sitter based modes for
> > which they don't have a grammar library installed.  These warnings are
> > triggered by Custom which loads all the packages belonging to a
> > customization group when you browse that group.
> >
> > The warning is harmless, and we don't have a good solution that would
> > avoid it in Customize but still emit it when the mode is loaded in
> > other ways.  Ideas for how to pull that trick will be welcome.  (The
> > fact that Custom loads the packages is a known misfeature.)
> 
> I have a patch that removes these warnings.
> Should I post it here or on emacs-devel?

Please post here, and thanks.  If it turns out a more general
discussion is needed, we will start it on emacs-devel then.